> ## Documentation Index
> Fetch the complete documentation index at: https://docs.release0.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a result

> API endpoint to retrieve detailed information about a specific agent result by its ID.



## OpenAPI

````yaml GET /v1/agents/{agentId}/results/{resultId}
openapi: 3.0.3
info:
  title: Builder API
  version: 1.0.1
servers:
  - url: https://release0.com/api
security: []
externalDocs:
  url: https://docs.release0.com/api-reference
paths:
  /v1/agents/{agentId}/results/{resultId}:
    get:
      tags:
        - Results
      summary: Get result by id
      operationId: results-getResult
      parameters:
        - in: path
          name: agentId
          description: >-
            [🚀 Where can I find my agent’s ID? 👉 Check this guide!
            🔍✨](../how-to#how-to-find-my-agentid)
          schema:
            type: string
            description: >-
              [🚀 Where can I find my agent’s ID? 👉 Check this guide!
              🔍✨](../how-to#how-to-find-my-agentid)
          required: true
        - in: path
          name: resultId
          description: >-
            The `resultId` is returned by the /start endpoint or you can find it
            by listing results with `/results` endpoint
          schema:
            type: string
            description: >-
              The `resultId` is returned by the /start endpoint or you can find
              it by listing results with `/results` endpoint
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      id:
                        type: string
                      createdAt:
                        type: string
                      agentId:
                        type: string
                      workspaceId:
                        type: string
                      variables:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            isSessionVariable:
                              type: boolean
                            value:
                              anyOf:
                                - type: string
                                - type: array
                                  items:
                                    type: string
                                    nullable: true
                          required:
                            - id
                            - name
                            - value
                      isCompleted:
                        type: boolean
                      hasStarted:
                        type: boolean
                        nullable: true
                      isArchived:
                        type: boolean
                        nullable: true
                      lastChatSessionId:
                        type: string
                        nullable: true
                      updatedAt:
                        anyOf:
                          - type: string
                          - type: string
                            format: date-time
                      metadata:
                        type: object
                        properties:
                          ip:
                            type: string
                          location:
                            type: object
                            properties:
                              continent:
                                type: string
                              country:
                                type: string
                              region:
                                type: string
                              city:
                                type: string
                              latitude:
                                anyOf:
                                  - type: string
                                  - type: number
                              longitude:
                                anyOf:
                                  - type: string
                                  - type: number
                              vercel_region:
                                type: string
                          device:
                            type: object
                            properties:
                              type:
                                type: string
                              vendor:
                                type: string
                              model:
                                type: string
                          browser:
                            type: object
                            properties:
                              name:
                                type: string
                              version:
                                type: string
                          os:
                            type: object
                            properties:
                              name:
                                type: string
                              version:
                                type: string
                          url:
                            type: string
                          bot:
                            type: boolean
                          qr:
                            type: boolean
                          referer:
                            type: string
                      answers:
                        type: array
                        items:
                          type: object
                          properties:
                            createdAt:
                              type: string
                            blockId:
                              type: string
                            isSecure:
                              type: boolean
                            content:
                              type: string
                            attachedFileUrls:
                              type: array
                              items:
                                type: string
                          required:
                            - createdAt
                            - blockId
                            - content
                    required:
                      - id
                      - createdAt
                      - isCompleted
                      - hasStarted
                      - lastChatSessionId
                      - answers
                required:
                  - result
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````